Should I be using Worldedit-Bukkit on Spigot?

Discussion in 'Spigot Help' started by malon, May 5, 2015.

  1. I currently have worldedit-core and worldedit-bukkit installed on my spigot server, no huge issues, but occasional crash when using AWE.

    http://wiki.sk89q.com/wiki/WorldEdit/Bukkit_adapters

    Worldguard, WorldEdit, and AWE are all the latest builds from jenkins or in the case of AWE, 2.1.5 release.
     
  2. Spigot can run all Bukkit plugins. I think it may be an issue with AWE as I remember a person I work for having an issue as well.
     
  3. Okay cool thanks.

    See, I know that spigot can run all bukkit plugins, but bukkit can't run all spigot plugins. I was thinking maybe this was a special injector only for craftbukkit to introduce features that are natively available in spigot and not CB.

    Thank you!
     
  4. I know this is an old question but I'm going to answer for future reference:


    Core - All the core classes for WorldEdit (commands, API etc).
    Bukkit - WE Core + Bukkit plugin specific classes
    Forge - WE Core + Forge mod specific classes

    So as you can see the Core is included inside Bukkit and Forge so you don't need to install Core. As I understand this Core is used as a library to create platform specific versions and for developers that want to create new platforms for WE.
     
    • Informative Informative x 1
    • Useful Useful x 1